#Simulation results contained in Tables 1-3

load("ModCook.RData")

#n=60
temp<-results1
param<-NULL
for(n in 60) {
  for(p in c(2,5,10,15)) {
    for(out in c(2,5,10)) {      
      param<-rbind(param,c(n,p,out)) }}}

res<-matrix(0,dim(temp)[1]/nsims,6)
for(i in 1:(dim(temp)[1]/nsims)) {
  
  ind<-(1+nsims*(i-1)):(i*nsims)
  res[i,]<-apply(temp[ind,],2,mean)
}
cbind(param,res[,-c(3,4)])[1:6,]
> cbind(param,res[,-c(3,4)])[1:6,]
[,1] [,2] [,3] [,4] [,5] [,6] [,7]
[1,]   60    2    2  2.0 3.02    2 0.00
[2,]   60    2    5  5.0 2.14    5 0.01
[3,]   60    2   10  9.9 0.96   10 0.01
[4,]   60    5    2  2.0 3.95    2 0.00
[5,]   60    5    5  5.0 2.60    5 0.05
[6,]   60    5   10 10.0 1.24   10 0.14

#n=100
temp<-results2
param<-NULL
for(n in 100) {
  for(p in c(5,10,15,20,40)) {
    for(out in c(2,5,10,15)) {      
      param<-rbind(param,c(n,p,out)) }}}

res<-matrix(0,dim(temp)[1]/nsims,6)
for(i in 1:(dim(temp)[1]/nsims)) {
  
  ind<-(1+nsims*(i-1)):(i*nsims)
  res[i,]<-apply(temp[ind,],2,mean)
}
ind<-which(param[,3]==15)
cbind(param[-ind,],res[-ind,-c(3,4)])[-(10:15),]
> cbind(param[-ind,],res[-ind,-c(3,4)])[-(10:15),]
[,1] [,2] [,3] [,4] [,5] [,6] [,7]
[1,]  100    5    2    2 6.09  2.0    0
[2,]  100    5    5    5 4.36  5.0    0
[3,]  100    5   10   10 2.44 10.0    0
[4,]  100   10    2    2 7.82  2.0    0
[5,]  100   10    5    5 5.70  5.0    0
[6,]  100   10   10   10 2.96 10.0    0
[7,]  100   15    2    2 8.97  2.0    0
[8,]  100   15    5    5 6.77  5.0    0
[9,]  100   15   10   10 3.84  9.4    0

#n=200 and 400
temp<-results3
param<-NULL
for(n in c(200,400)) {
  for(p in c(5,10,20,40)) {
    for(out in c(2,5,10,15,20)) {      
      param<-rbind(param,c(n,p,out)) }}}

res<-matrix(0,dim(temp)[1]/nsims,6)
for(i in 1:(dim(temp)[1]/nsims)) {
  
  ind<-(1+nsims*(i-1)):(i*nsims)
  res[i,]<-apply(temp[ind,],2,mean)
}
ind<-which(((param[,3]==15) + (param[,3]==20))==1)
cbind(param[-ind,],res[-ind,-c(3,4)])
> cbind(param[-ind,],res[-ind,-c(3,4)])
[,1] [,2] [,3]  [,4]  [,5] [,6] [,7]
[1,]  200    5    2  2.00  9.82  2.0    0
[2,]  200    5    5  5.00  9.16  5.0    0
[3,]  200    5   10 10.00  6.88 10.0    0
[4,]  200   10    2  2.00 11.00  2.0    0
[5,]  200   10    5  5.00  9.91  5.0    0
[6,]  200   10   10 10.00  8.73 10.0    0
[7,]  200   20    2  2.00 15.26  2.0    0
[8,]  200   20    5  5.00 11.95  5.0    0
[9,]  200   20   10 10.00 10.15 10.0    0
[10,]  200   40    2  2.00 23.85  2.0    0
[11,]  200   40    5  5.00 19.97  5.0    0
[12,]  200   40   10 10.00 15.66  8.9    0
[13,]  400    5    2  2.00 19.01  2.0    0
[14,]  400    5    5  5.00 18.53  5.0    0
[15,]  400    5   10 10.00 15.94 10.0    0
[16,]  400   10    2  2.00 20.09  2.0    0
[17,]  400   10    5  5.00 18.90  5.0    0
[18,]  400   10   10 10.00 16.86 10.0    0
[19,]  400   20    2  2.00 22.21  2.0    0
[20,]  400   20    5  5.00 20.86  5.0    0
[21,]  400   20   10 10.00 18.88 10.0    0
[22,]  400   40    2  2.00 28.67  2.0    0
[23,]  400   40    5  4.93 26.94  5.0    0
[24,]  400   40   10 10.00 24.44 10.0    0

#n=100
temp<-results4
param<-NULL
for(n in 100) {
  for(p in c(5,10,15,20)) {
    for(out in c(10)) {      
      param<-rbind(param,c(n,p,out)) }}}

res<-matrix(0,dim(temp)[1]/nsims,6)
for(i in 1:(dim(temp)[1]/nsims)) {
  
  ind<-(1+nsims*(i-1)):(i*nsims)
  res[i,]<-apply(temp[ind,],2,mean)
}
cbind(param,res[,-c(3,4)])[-4,]
> cbind(param,res[,-c(3,4)])[-4,]
[,1] [,2] [,3] [,4] [,5] [,6] [,7]
[1,]  100    5   10   10 3.22 10.0    0
[2,]  100   10   10   10 3.97 10.0    0
[3,]  100   15   10   10 4.70  9.6    0

#n=200 and 400
temp<-results5
param<-NULL
for(n in c(200,400)) {
  for(p in c(5,10,20,40)) {
    for(out in c(10)) {      
      param<-rbind(param,c(n,p,out)) }}}

res<-matrix(0,dim(temp)[1]/nsims,6)
for(i in 1:(dim(temp)[1]/nsims)) {
  
  ind<-(1+nsims*(i-1)):(i*nsims)
  res[i,]<-apply(temp[ind,],2,mean)
}
cbind(param,res[,-c(3,4)])
> cbind(param,res[,-c(3,4)])
[,1] [,2] [,3] [,4]  [,5]  [,6] [,7]
[1,]  200    5   10   10  7.99 10.00    0
[2,]  200   10   10   10  8.27 10.00    0
[3,]  200   20   10   10  9.98 10.00    0
[4,]  200   40   10   10 14.79  9.20    0
[5,]  400    5   10   10 16.16 10.00    0
[6,]  400   10   10   10 17.99 10.00    0
[7,]  400   20   10   10 18.56 10.00    0
[8,]  400   40   10   10 24.07  9.92    0

#n=500 and 1000
load("ModCooklargep.RData")
temp<-results6
param<-NULL
for(n in c(500,1000)) {
  for(p in c(10,25,50,100)) {
    for(out in c(5,10)) {      
      param<-rbind(param,c(n,p,out)) }}}

res<-matrix(0,dim(temp)[1]/nsims,2)
for(i in 1:(dim(temp)[1]/nsims)) {
  
  ind<-(1+nsims*(i-1)):(i*nsims)
  res[i,]<-apply(temp[ind,],2,mean)
}
cbind(param,res)
> cbind(param,res)
[,1] [,2] [,3] [,4] [,5]
[1,]  500   10    5  5.0    0
[2,]  500   10   10 10.0    0
[3,]  500   25    5  5.0    0
[4,]  500   25   10 10.0    0
[5,]  500   50    5  5.0    0
[6,]  500   50   10 10.0    0
[7,]  500  100    5  5.0    0
[8,]  500  100   10  9.1    0
[9,] 1000   10    5  5.0    0
[10,] 1000   10   10 10.0    0
[11,] 1000   25    5  5.0    0
[12,] 1000   25   10 10.0    0
[13,] 1000   50    5  5.0    0
[14,] 1000   50   10 10.0    0
[15,] 1000  100    5  5.0    0
[16,] 1000  100   10 10.0    0

#n=500 and 1000
temp<-results7
param<-NULL
for(n in c(500,1000)) {
  for(p in c(10,25,50,100)) {
    for(out in c(10,20)) {      
      param<-rbind(param,c(n,p,out)) }}}

res<-matrix(0,dim(temp)[1]/nsims,2)
for(i in 1:(dim(temp)[1]/nsims)) {
  
  ind<-(1+nsims*(i-1)):(i*nsims)
  res[i,]<-apply(temp[ind,],2,mean)
}
ind<-which(param[,3]==20)
cbind(param[-ind,],res[-ind,-c(3,4)])
> cbind(param[-ind,],res[-ind,-c(3,4)])
[,1] [,2] [,3] [,4] [,5]
[1,]  500   10   10 10.0    0
[2,]  500   25   10 10.0    0
[3,]  500   50   10  9.9    0
[4,]  500  100   10  9.2    0
[5,] 1000   10   10 10.0    0
[6,] 1000   25   10 10.0    0
[7,] 1000   50   10 10.0    0
[8,] 1000  100   10  9.9    0
