#MC3 and fwdlm fail for higher dimensional problems.
##########
library(BMA)
library(forward)
source("../../../Functions/Functions.R")
##########
set.seed(1)
for(p in 40:100) {
print(p)
n<-200
x<-matrix(rnorm(n*p),n,p)
ymean<-1+x%*%c(rep(1,min(p,5)),rep(0,max(0,p-5)))
y<-rnorm(n=n,ymean,1)
unix.time(res1<-MC3.REG(y,x,num.its=100))
unix.time(res2<-adaptiveold(x,y,M=100,j=(n/2),ran=FALSE))
}
[1] 69
Error in if (BF >= 1) g$flag <- 1 else g$flag <- rbinom(1, 1, BF) : 
  missing value where TRUE/FALSE needed
In addition: There were 50 or more warnings (use warnings() to see the first 50)

set.seed(1)
for(p in 40:100) {
  print(p)
  n<-400
  x<-matrix(rnorm(n*p),n,p)
  ymean<-1+x%*%c(rep(1,min(p,5)),rep(0,max(0,p-5)))
  y<-rnorm(n=n,ymean,1)
  unix.time(res1<-MC3.REG(y,x,num.its=100))
  unix.time(res2<-adaptiveold(x,y,M=100,j=(n/2),ran=FALSE))
}
[1] 63
Error in if (BF >= 1) g$flag <- 1 else g$flag <- rbinom(1, 1, BF) : 
  missing value where TRUE/FALSE needed
In addition: There were 50 or more warnings (use warnings() to see the first 50)

set.seed(1)
for(p in 40:100) {
  print(p)
  n<-1000
  x<-matrix(rnorm(n*p),n,p)
  ymean<-1+x%*%c(rep(1,min(p,5)),rep(0,max(0,p-5)))
  y<-rnorm(n=n,ymean,1)
  unix.time(res1<-MC3.REG(y,x,num.its=100))
  unix.time(res2<-adaptiveold(x,y,M=100,j=(n/2),ran=FALSE))
}
[1] 50
Error in if (BF >= 1) g$flag <- 1 else g$flag <- rbinom(1, 1, BF) : 
  missing value where TRUE/FALSE needed
In addition: There were 50 or more warnings (use warnings() to see the first 50)

set.seed(1)
p<-100
n<-1000
x<-matrix(rnorm(n*p),n,p)
ymean<-1+x%*%c(rep(1,min(p,5)),rep(0,max(0,p-5)))
y<-rnorm(n=n,ymean,1)
mod <- fwdlm(y ~ x)
fwdlm: finished 570 steps out of 1000.
Error in `[<-`(`*tmp*`, m - p, i, value = 1.60007060371165) : 
  subscript out of bounds

set.seed(1)
p<-50
n<-1000
x<-matrix(rnorm(n*p),n,p)
ymean<-1+x%*%c(rep(1,min(p,5)),rep(0,max(0,p-5)))
y<-rnorm(n=n,ymean,1)
mod <- fwdlm(y ~ x)
fwdlm: finished 480 steps out of 1000.
Error in `[<-`(`*tmp*`, m - p, i, value = 1.68787915746136) : 
  subscript out of bounds

set.seed(1)
p<-50
n<-1000
x<-matrix(rnorm(n*p),n,p)
ymean<-1+x%*%c(rep(1,min(p,5)),rep(0,max(0,p-5)))
y<-rnorm(n=n,ymean,1)
unix.time(res2<-adaptiveold(x,y,M=5000,j=(n/2),ran=FALSE))
unix.time(res2<-adaptiveold(x,y,M=5000,j=(n/2),ran=FALSE))
unix.time(res2<-adaptiveold(x,y,M=5000,j=(n/2),ran=FALSE))


set.seed(1)
p<-10
n<-100
x<-matrix(rnorm(n*p),n,p)
ymean<-1+x%*%c(rep(1,min(p,5)),rep(0,max(0,p-5)))
y<-rnorm(n=n,ymean,1)
unix.time(res2<-adaptiveold(x,y,M=5000,j=(n/2),ran=FALSE))
unix.time(res2<-adaptiveold(x,y,M=5000,j=(n/2),ran=FALSE))
unix.time(res2<-adaptiveold(x,y,M=5000,j=(n/2),ran=FALSE))

> unix.time(res2<-adaptiveold(x,y,M=5000,j=(n/2),ran=FALSE))
user  system elapsed 
198.68    0.05  198.89 
> unix.time(res2<-adaptiveold(x,y,M=5000,j=(n/2),ran=FALSE))
user  system elapsed 
202.97    0.00  202.97 
> unix.time(res2<-adaptiveold(x,y,M=5000,j=(n/2),ran=FALSE))
user  system elapsed 
201.62    0.03  201.65 
> 
  > 
  > set.seed(1)
> p<-10
> n<-100
> x<-matrix(rnorm(n*p),n,p)
> ymean<-1+x%*%c(rep(1,min(p,5)),rep(0,max(0,p-5)))
> y<-rnorm(n=n,ymean,1)
> unix.time(res2<-adaptiveold(x,y,M=5000,j=(n/2),ran=FALSE))
user  system elapsed 
11.35    0.00   11.37 
> unix.time(res2<-adaptiveold(x,y,M=5000,j=(n/2),ran=FALSE))
user  system elapsed 
10.42    0.00   10.42 
> unix.time(res2<-adaptiveold(x,y,M=5000,j=(n/2),ran=FALSE))
user  system elapsed 
10.33    0.01   10.36 